function matrix=get_matrix(mpffile,title)

%   Matlab function to get the matrices that match the string title
%   from the mpf file mpffile.
%
%
%   Elizabeth Passano 02-01-23
%   

% *** Open mpf file
fid = fopen(mpffile,'r');


% *** Read entire file into character string

filetext = fscanf(fid,'%c');
fclose(fid);

nlen = length(filetext);



% *** Find start of all matrices on file + dummy pointer at end
ixmat = findstr('MATRIX',filetext);
nmat = length(ixmat);
ixmat(nmat+1) = nlen;


% *** Find start of all matrices of "title"
text = [ 'MATRIX    ' , title ];
ix0 = findstr(text,filetext);
nmat = length(ix0);


% *** Get matrices from file

nlin = 0;
for i=1:nmat

%  fprintf(1,'%s \n', filetext(ix0(i):ix0(i)+60));

   % Find which matrix
   imat=find(ixmat == ix0(i));

   % Start of values - add 10 to skip 'VALUES    '
   ix1 = ixmat(imat) + findstr('VALUES',filetext(ixmat(imat)+1:ixmat(imat+1))) + 10;

   % Values end at start of next matrix
   ix2 = ixmat(imat+1) - 1;

   values = str2num(filetext(ix1:ix2));

   if (i  == 1)
     all_values = shiftdim(values,1);
   else
   all_values = [ all_values , shiftdim(values,1) ];
   end

end


matrix = shiftdim(all_values,1);
