function [MAC] = MAC_func(u,v)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Matlab function for calculation of MAC values
% Input: Two vectors u and v of same length
% Output: MAC value
%          ----------------------------
%
% Ingrid Simensen 10.06.2015
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Make sure vectors are of same dimensions:
p=length(u(:,1));
r=length(u(1,:));
s=length(v(:,1));
q=length(v(1,:));
if p>r
    u=u';
end
if s>q
    v=v';
end

MAC=(abs(dot(u,v)))^2/(dot(u,u)*dot(v,v));
end