function [Periods]=MZerocross(D)
% 
%   Function for to calculate wave periods
%   using zerocrossing method.
%  
%   
%
%  Input: 
%           D = Matrix with two colums.
%               First colum is Time.
%               Second column is the elevation.
%  Output:
%            
%            T = zero-crossing period 
%
%   Created by R. Hernandez-Walls 
%             Facultad de Ciencias Marinas
%             Universidad Autonoma de Baja California
%             Ensenada, Baja California
%             Mexico.
%             rwalls@uabc.edu.mx
%   Last modified by Ingrid Simensen 10.06.15
%  
%
%
%
%
%
D(:,2)=D(:,2)-mean(D(:,2)); 
iD=find(diff(sign(D(:,2)))==2);
iD2=find(diff(sign(D(:,2)))==-2);
if length(iD)<length(iD2), iD=iD2; end
k=1:length(iD)-1;
%Heights(k)=max(D(iD(k):iD(k+1),2))-min(D(iD(k):iD(k+1),2));
Periods(k)=max(D(iD(k):iD(k+1),1))-min(D(iD(k):iD(k+1),1));
%return